[Japanese]

JVNDB-2021-004912

Multiple vulnerabilities in multiple ELECOM routers

Overview

Multiple routers provided by ELECOM CO.,LTD. contain multiple vulnerabilities listed below.

* Improper access control leading to unauthorized activation of telnet service (CWE-284) - CVE-2021-20862

* OS command injection (CWE-78) - CVE-2021-20863

* Improper access control leading to unauthorized activation of telnet service
(CWE-284) - CVE-2021-20864

Chuya Hayakawa and Katsuhiko Sato(a.k.a. goroh_kun) of 00One, Inc. reported this vulnerability to ELECOM CO.,LTD. and coordinated. ELECOM CO.,LTD. and JPCERT/CC published respective advisories in order to notify users of these vulnerabilities.
CVSS Severity (What is CVSS?)

CVSS V3 Severity:
Base Metrics 8.8 (High) [Other]
  • Attack Vector: Adjacent Network
  • Attack Complexity: Low
  • Privileges Required: None
  • User Interaction: None
  • Scope: Unchanged
  • Confidentiality Impact: High
  • Integrity Impact: High
  • Availability Impact: High
The above CVSS base scores have been assigned for CVE-2021-20863


CVSS V3 Severity:
Base Metrics:7.5 (High) [Other]
  • Attack Vector: Adjacent
  • Attack Complexity: High
  • Privileges Required: None
  • User Interaction: None
  • Scope: Unchanged
  • Confidentiality Impact: High
  • Integrity Impact: High
  • Availability Impact: High
The above CVSS base scores have been assigned for CVE-2021-20864


CVSS V3 Severity:
Base Metrics:5.4 (Medium) [Other]
  • Attack Vector: Adjacent
  • Attack Complexity: Low
  • Privileges Required: None
  • User Interaction: None
  • Scope: Unchanged
  • Confidentiality Impact: None
  • Integrity Impact: Low
  • Availability Impact: Low
The above CVSS base scores have been assigned for CVE-2021-20862
Affected Products


ELECOM CO.,LTD.
  • EDWRC-2533GST2 firmware v1.25 and prior
  • WRC-1167GST2 firmware v1.25 and prior
  • WRC-1167GST2A firmware v1.25 and prior
  • WRC-1167GST2H firmware v1.25 and prior
  • WRC-1750GS firmware v1.03 and prior
  • WRC-1750GSV firmware v2.11 and prior
  • WRC-1900GST firmware v1.03 and prior
  • WRC-2533GS2-B firmware v1.52 and prior
  • WRC-2533GS2-W firmware v1.52 and prior
  • WRC-2533GST firmware v1.03 and prior
  • WRC-2533GST2 firmware v1.25 and prior
  • WRC-2533GST2-G firmware v1.25 and prior
  • WRC-2533GST2SP firmware v1.25 and prior
  • WRC-2533GSTA firmware v1.03 and prior

Impact

*A network-adjacent unauthenticated attacker may obtain anti-CSRF tokens and change the product's settings - CVE-2021-20862
* An attacker who can log in to the management screen may execute arbitrary OS commands with the root privilege - CVE-2021-20863
* A network-adjacent unauthenticated attacker may start the telnet service and exexute arbitrary OS commands with the root privilege - CVE-2021-20864
Solution

[Apply the appropriate firmware update]
Apply the appropriate firmware update according to the information provided by the developer.
The developer has released fixed versions listed below.

* WRC-1167GST2 firmware v1.27
* WRC-1167GST2A firmware v1.27
* WRC-1167GST2H firmware v1.27
* WRC-2533GS2-B firmware v1.61
* WRC-2533GS2-W firmware v1.61
* WRC-1750GS firmware v1.06
* WRC-1750GSV firmware v2.30
* WRC-1900GST firmware v1.06
* WRC-2533GST firmware v1.06
* WRC-2533GSTA firmware v1.06
* WRC-2533GST2 firmware v1.27
* WRC-2533GST2SP firmware v1.27
* WRC-2533GST2-G firmware v1.27
* EDWRC-2533GST2 firmware v1.27
Vendor Information

ELECOM CO.,LTD.
CWE (What is CWE?)

  1. Improper Access Control(CWE-284) [Other]
  2. OS Command Injection(CWE-78) [Other]
CVE (What is CVE?)

  1. CVE-2021-20862
  2. CVE-2021-20863
  3. CVE-2021-20864
References

  1. JVN : JVNVU#94527926
Revision History

  • [2021/12/02]
      Web page was published